#permissions-matrix {
  scroll-behavior: smooth;
}

.permissions-matrix-container {
  height: 96%;
}

thead th {
  position: sticky;
  top: 0;
  background-color: var(--container-background-color);
  z-index: 2;
}

.permission-label {
  background-color: var(--container-background-color);
  position: sticky;
  left: 0;
  z-index: 1;
  width: 16.5625rem;
}

.sub-permission-label {
  background-color: var(--container-background-color);
  position: sticky;
  left: 0;
  z-index: 1;
  width: 16.5625rem;
}

thead th:after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  border-bottom: var(--container-border-color) solid 2px;
}

.checked-icon {
  color: var(--current-workspace-main-color);
  font-weight: 600;
}

.requirement-library-title {
  color: var(--requirement-workspace-main-color);
}

[data-panel-workspace='requirement-library'] .checked-icon {
  color: var(--requirement-workspace-main-color);
}

[data-panel-workspace='requirement-library']
  .ant-checkbox-checked
  .ant-checkbox-inner {
  background-color: var(--requirement-workspace-main-color);
  border-color: var(--requirement-workspace-main-color);
}

.test-case-library-title {
  color: var(--test-case-workspace-main-color);
}

[data-panel-workspace='test-case-library'] .checked-icon {
  color: var(--test-case-workspace-main-color);
}

[data-panel-workspace='test-case-library']
  .ant-checkbox-checked
  .ant-checkbox-inner {
  background-color: var(--test-case-workspace-main-color);
  border-color: var(--test-case-workspace-main-color);
}

.campaign-library-title {
  color: var(--campaign-workspace-main-color);
}

[data-panel-workspace='campaign-library'] .checked-icon {
  color: var(--campaign-workspace-main-color);
}

[data-panel-workspace='campaign-library'] {
  .ant-checkbox-checked .ant-checkbox-inner {
    background-color: var(--campaign-workspace-main-color);
    border-color: var(--campaign-workspace-main-color);
  }
  .sub-permission-border {
    border-left: 1px dashed var(--campaign-workspace-main-color);
  }
}

.custom-report-library-title {
  color: var(--custom-report-workspace-main-color);
}

[data-panel-workspace='custom-report-library'] .checked-icon {
  color: var(--custom-report-workspace-main-color);
}

[data-panel-workspace='custom-report-library']
  .ant-checkbox-checked
  .ant-checkbox-inner {
  background-color: var(--custom-report-workspace-main-color);
  border-color: var(--custom-report-workspace-main-color);
}

.action-word-library-title {
  color: var(--action-word-workspace-main-color);
}

[data-panel-workspace='action-word-library'] .checked-icon {
  color: var(--action-word-workspace-main-color);
}

[data-panel-workspace='action-word-library']
  .ant-checkbox-checked
  .ant-checkbox-inner {
  background-color: var(--action-word-workspace-main-color);
  border-color: var(--action-word-workspace-main-color);
}

.automation-request-library-title {
  color: var(--test-case-workspace-main-color);
}

[data-panel-workspace='automation-request-library'] .checked-icon {
  color: var(--test-case-workspace-main-color);
}

[data-panel-workspace='automation-request-library']
  .ant-checkbox-checked
  .ant-checkbox-inner {
  background-color: var(--test-case-workspace-main-color);
  border-color: var(--test-case-workspace-main-color);
}

.permissions-header {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 600;
  color: var(--label-color);

  padding: 0.3125rem 0.3125rem 0.625rem 0.3125rem;
}

.permissions-cell-table {
  text-align: center;
  padding: 0.3125rem 0;
  z-index: 0;
}

.permissions-first-column {
  width: 16.5625rem;
  z-index: 3;
  background-color: white;
  position: sticky;
  top: 0;
  left: 0;
}

.permission-title {
  position: sticky;
  left: 0;
  z-index: 1;
  background-color: #f9f9f9;
  width: 16.5625rem;
  padding: 0.3rem 0 0.3rem 0.5rem;
}

.workspace-title {
  position: absolute;
  width: 31.25rem;
}

.permissions-line-table {
  border-bottom: var(--container-border-color) solid 1px;
}

.permissions-line-table-header {
  font-size: 16px;
  border-bottom: var(--container-border-color) solid 1px;
  padding: 0.3125rem 0;
  background-color: #f9f9f9;
}

.permissions-line-table-header-border-top {
  border-top: var(--container-border-color) solid 2px;
}

.hide-permission {
  display: none;
}

tr.permissions-line-table:hover > td {
  background-color: #e2e8f2;
}

.anchor-open svg {
  transform: rotate(0deg);
}

.anchor-close svg {
  transform: rotate(-90deg);
}

.column-selected {
  background-color: #e2e8f2;
}

.column-drop-over {
  background-color: #e2e8f2;
}

th:not(:first-child) {
  cursor: pointer;
}

.permissions-workspace-anchor {
  font-size: 11px;
}

.permission-collapse-close {
  display: none;
}

.sub-permission-border {
  border-left: 1px dashed var(--current-workspace-main-color);
  padding-left: 0.625rem;
  margin: 0.3rem 0 0.3rem 1rem;
}

.header-inactive {
  font-style: italic;
  color: #999999;
}
